1. The main difference between var and let is that var variables are function scoped, but let variables are block scoped. That means a variable created with the let keyword is available inside the “block” it was created in as well as any nested blocks. Let variables cannot be declared again (they can be updated) but var variables can be redeclared in the same scope.
   const is almost the same as let. The only difference is that when you assigned a value to a variable using const, you can’t reassign it to a new value.
   var declarations are function scoped while let and const are block scoped.
2. Until the ES6 version, var was used vastly, but now it’s not, let and const are used. The reason that why var is bad is because it does not have block scope. So, it can lead to unpredictable behavior if we are not careful (due to hoisting). It’s inefficient, hard to maintain so developers are against using it.